Page MenuHomePhabricator

[lldb] Require x86 backend for a bunch of DWARF tests
ClosedPublic

Authored by DavidSpickett on Apr 9 2021, 6:36 AM.

Details

Summary

By moving them into a folder with a local lit config
requiring x86. All these tests use x86 target triples.

There are two tests that require target-x86_64 because
they run program files (instead of just needing the backend).
Those are moved to the x86 folder also but their REQUIRES are
unchanged.

Diff Detail

Event Timeline

DavidSpickett created this revision.Apr 9 2021, 6:36 AM
DavidSpickett requested review of this revision.Apr 9 2021, 6:36 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 9 2021, 6:36 AM
JDevlieghere requested changes to this revision.Apr 9 2021, 8:38 AM

Rather than updating all the these tests, please move them into an x86 subdirectory and add a lit.local.cfg to mark the whole folder as unsupported without x86 support. Something like:

if not 'x86' in config.available_features:
  config.unsupported = True
This revision now requires changes to proceed.Apr 9 2021, 8:38 AM
DavidSpickett updated this revision to Diff 336783.EditedApr 12 2021, 2:25 AM
  • Add x86 folder with lit config to require x86
  • Remove x86 requirement from indiviual tests in that folder (but not for the target-x86_64 tests which need to run program files)
  • Tests that don't need x86 remain in the top level Shell/SymbolFile/DWARF folder
DavidSpickett edited the summary of this revision. (Show Details)Apr 12 2021, 2:26 AM
JDevlieghere accepted this revision.Apr 12 2021, 8:08 AM

Thanks, LGTM.

This revision is now accepted and ready to land.Apr 12 2021, 8:08 AM